@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
runtime_init.h File Reference
`#include "pico.h"`
`#include "pico/runtime.h"`
Include dependency graph for runtime_init.h:

Go to the source code of this file.

## Macros

#define | PICO_RUNTIME_INIT_EARLIEST "00001"
#define | PICO_RUNTIME_INIT_BOOTROM_RESET "00050"
#define | PICO_RUNTIME_SKIP_INIT_BOOTROM_RESET 1
#define | PICO_RUNTIME_NO_INIT_BOOTROM_RESET 1
#define | PICO_RUNTIME_INIT_PER_CORE_BOOTROM_RESET "00051"
#define | PICO_RUNTIME_SKIP_INIT_PER_CORE_BOOTROM_RESET 1
#define | PICO_RUNTIME_NO_INIT_PER_CORE_BOOTROM_RESET 1
#define | PICO_RUNTIME_INIT_PER_CORE_H3_IRQ_REGISTERS "00060"
#define | PICO_RUNTIME_SKIP_INIT_PER_CORE_H3_IRQ_REGISTERS 1
#define | PICO_RUNTIME_INIT_EARLY_RESETS "00100"
#define | PICO_RUNTIME_SKIP_INIT_EARLY_RESETS 0
#define | PICO_RUNTIME_NO_INIT_EARLY_RESETS 0
#define | PICO_RUNTIME_INIT_USB_POWER_DOWN "00101"
#define | PICO_RUNTIME_SKIP_INIT_USB_POWER_DOWN 0
#define | PICO_RUNTIME_NO_INIT_USB_POWER_DOWN 0
#define | PICO_RUNTIME_INIT_PER_CORE_ENABLE_COPROCESSORS "00200"
#define | PICO_RUNTIME_SKIP_INIT_PER_CORE_ENABLE_COPROCESSORS 1
#define | PICO_RUNTIME_NO_INIT_PER_CORE_ENABLE_COPROCESSORS 1
#define | PICO_RUNTIME_INIT_AEABI_MEM_OPS "00300"
#define | PICO_RUNTIME_INIT_AEABI_BIT_OPS "00275"
#define | PICO_RUNTIME_INIT_AEABI_FLOAT "00350"
#define | PICO_RUNTIME_INIT_AEABI_DOUBLE "00350"
#define | PICO_RUNTIME_INIT_CLOCKS "00500"
#define | PICO_RUNTIME_SKIP_INIT_CLOCKS 0
#define | PICO_RUNTIME_NO_INIT_CLOCKS 0
#define | PICO_RUNTIME_INIT_POST_CLOCK_RESETS "00600"
#define | PICO_RUNTIME_INIT_RP2040_GPIO_IE_DISABLE "00700"
#define | PICO_RUNTIME_INIT_SPIN_LOCKS_RESET "01000"
#define | PICO_RUNTIME_SKIP_INIT_SPIN_LOCKS_RESET 0
#define | PICO_RUNTIME_NO_INIT_SPIN_LOCKS_RESET 0
#define | PICO_RUNTIME_INIT_BOOT_LOCKS_RESET "01000"
#define | PICO_RUNTIME_SKIP_INIT_BOOT_LOCKS_RESET 0
#define | PICO_RUNTIME_INIT_BOOTROM_LOCKING_ENABLE "01010"
#define | PICO_RUNTIME_SKIP_INIT_BOOTROM_LOCKING_ENABLE 0
#define | PICO_RUNTIME_INIT_MUTEX "01100"
#define | PICO_RUNTIME_SKIP_INIT_MUTEX 0
#define | PICO_RUNTIME_NO_INIT_MUTEX 0
#define | PICO_RUNTIME_INIT_PER_CORE_IRQ_PRIORITIES "01200"
#define | PICO_RUNTIME_INIT_PER_CORE_TLS_SETUP "10060"
#define | PICO_RUNTIME_INIT_INSTALL_RAM_VECTOR_TABLE "10080"
#define | PICO_RUNTIME_INIT_DEFAULT_ALARM_POOL "11000"
#define | PICO_RUNTIME_INIT_PER_CORE_INSTALL_STACK_GUARD "10050"
#define | PICO_RUNTIME_SKIP_INIT_PER_CORE_INSTALL_STACK_GUARD 1
#define | PICO_RUNTIME_NO_INIT_PER_CORE_INSTALL_STACK_GUARD 1

## Functions

void | runtime_init_bootrom_reset (void)
void | runtime_init_per_core_bootrom_reset (void)
void | runtime_init_early_resets (void)
void | runtime_init_usb_power_down (void)
void | runtime_init_per_core_enable_coprocessors (void)
void | runtime_init_clocks (void)
static void | clocks_init (void)
| Initialise the clock hardware.
void | runtime_init_post_clock_resets (void)
void | runtime_init_rp2040_gpio_ie_disable (void)
void | runtime_init_spin_locks_reset (void)
void | runtime_init_boot_locks_reset (void)
void | runtime_init_bootrom_locking_enable (void)
void | runtime_init_per_core_install_stack_guard (void *stack_bottom)
static __force_inline void | runtime_install_stack_guard (void *stack_bottom)

## Function Documentation

## runtime_init_clocks()

void runtime_init_clocks | ( | void |  | ) |